<?php

namespace app\api\controller;

/**
 * @author 高鹏程
 * @apidoc true
 * @name 验证码相关接口
 * @desc 验证码相关接口
 * @Class Captcha
 * @package app\api\controller
 */

class Captcha
{
    protected $agentid=0;
    public function __construct()
    {
//        parent::__construct();

        $locked = UPDATE_DIR . 'data/install.lock';
        if( !file_exists($locked))
        {
            header('Location: ' . url('install/index/index'));
            exit;
        }
        vendor('topthink.think-captcha.src.Captcha');


    }
    /**
     * @name 验证码
     * @desc 验证码
     * @return array
     */
    public function captcha($id = "", $config = [])
    {
        $config =    [
            // 验证码字体大小
            'codeSet' => '0123456789',
            // 验证码字体大小(px)
            'fontSize' => 15,

            // 是否画混淆曲线
            'useCurve' => false,

            // 是否添加杂点
            'useNoise' => false,

            // 验证码图片高度
            'imageH' => 42,
            // 验证码图片宽度
            'imageW' => 148,
            // 验证码位数
            'length' => 4,
            // 验证成功后是否重置
            'reset' => true
        ];

        $captcha = new \think\captcha\Captcha($config);
        return $captcha->entry($id);
    }


}