<?php
define("ROOTPATH",dirname(dirname(__FILE__)));
$_W = $_GPC = array();
foreach($_GET as $key => $value) {
    if (is_string($value) && !is_numeric($value)) {
        $value = safe_gpc_string($value);
    }
    $_GET[$key] = $_GPC[$key] = $value;
}
foreach($_POST as $key => $value) {
    if (is_string($value) && !is_numeric($value)) {
        $value = safe_gpc_string($value);
    }
    $_GET[$key] = $_GPC[$key] = $value;
}
class WeModuleWxapp
{

}
$_W['sitescheme']=get_http_type();
//$_W['sitescheme'] = $_W['ishttps'] ? 'https://' : 'http://';
//$_W['script_name'] = htmlspecialchars(scriptname());

$sitepath = substr($_SERVER['PHP_SELF'], 0, strrpos($_SERVER['PHP_SELF'], '/'));
$_W['siteroot'] = htmlspecialchars($_W['sitescheme'] . $_SERVER['HTTP_HOST'] . $sitepath);

if(substr($_W['siteroot'], -1) != '/') {
    $_W['siteroot'] .= '/';
}
$urls = parse_url($_W['siteroot']);
$urls['path'] = str_replace(array('/web', '/app', '/payment/wechat', '/payment/alipay', '/payment/jueqiymf', '/api','/admin'), '', $urls['path']);
$_W['siteroot'] = $urls['scheme'].'://'.$urls['host'].((!empty($urls['port']) && $urls['port']!='80') ? ':'.$urls['port'] : '').$urls['path'];
$module=$_GPC['m'];
$method = 'doPage' . ucfirst($_GPC['do']);
$file=ROOTPATH.'/addons/'.$module.'/wxapp.php';
use think\Request;
use think\Config;
use think\Log;
use think\Db;
if(file_exists($file)) {

    require $file;
    $uniacid = \request()->param("i", 0);
    $uid = Db::table(config("database.wq_prefix") ."uni_account_users")->where(["uniacid" => $uniacid])->value("uid");
    $user_info = Db::table(config("database.wq_prefix") ."users")->where(["uid" => $uid])->find();
    if (empty($user_info)) {
        $rs['code'] = 1;
        $rs['msg'] = "该小程序商户已过期或不存在,暂无法提供服务";
        exit(json_encode($rs, true));
    }

    if ($user_info['status'] == 0) {
        $rs['code'] = 1;
        $rs['msg'] = "用户户已停用,暂无法提供服务";
        exit(json_encode($rs, true));
    }
    $meal_info = Db::table(config("database.wq_prefix") ."uni_account_meal_relate")->where(["uniacid" => $uniacid])->find();
    if (empty($meal_info)) {
        $rs['code'] = 1;
        $rs['msg'] = "该小程序商户已过期或不存在,暂无法提供服务";
        exit(json_encode($rs, true));
    }
    if ($meal_info['endtime'] < time()) {
        $rs['code'] = 1;
        $rs['msg'] = "该小程序商户已过期或不存在,暂无法提供服务";
        exit(json_encode($rs, true));
    }
    $databasePath = ROOTPATH . "/addons/$module/core/application/database.php";
    Config::load($databasePath, 'database');
    $module_classname = "{$module}ModuleWxapp";
    $api = new $module_classname();
    if (!is_error($api)) {
        exit($api->$method());
    }
}
exit();
function safe_gpc_string($value, $default = '') {
    $value = safe_bad_str_replace($value);
    $value  = preg_replace('/&((#(\d{3,5}|x[a-fA-F0-9]{4}));)/', '&\\1', $value);

    if (empty($value) && $default != $value) {
        $value = $default;
    }
    return $value;
}
function safe_bad_str_replace($string)
{
    if (empty($string)) {
        return '';
    }
    $badstr = array("\0", "%00", "%3C", "%3E", '<?', '<%', '<?php', '{php', '../');
    $newstr = array('_', '_', '&lt;', '&gt;', '_', '_', '_', '_', '.._');
    $string = str_replace($badstr, $newstr, $string);

    return $string;
}
function is_error($data) {
    if (empty($data) || !is_array($data) || !array_key_exists('errno', $data) || (array_key_exists('errno', $data) && $data['errno'] == 0)) {
        return false;
    } else {
        return true;
    }
}
function get_http_type(){
    return $http_type = ((isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on') || (isset($_SERVER['HTTP_X_FORWARDED_PROTO']) && $_SERVER['HTTP_X_FORWARDED_PROTO'] == 'https')) ? 'https://' : 'http://';
}
