<?php

/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/9/25
 * Time: 14:24
 */

use think\Db;
use think\Request;
class AliPayConfig
{

    private $appId = '';
    private $publicKey = '';
    private $privateKey = '';
    private $signType = '';

    function __construct($pay_setting_key = '')
    {
        $setting_key = '';
        if ($pay_setting_key) {
            $setting_key = $pay_setting_key;
        }

        if (!empty($GLOBALS['pay_setting_key'])) {
            $setting_key = $GLOBALS['pay_setting_key'];
        }

        if ($setting_key) {
            $pay_setting_key = $setting_key;
            $pay_setting = Db::name('core_settings')->where(['key' => $pay_setting_key])->find();

            if (!empty($pay_setting['value'])) {
                $config_pay = json_decode($pay_setting['value'], true)['ali'];

                $this->appId = $config_pay['alipay_appId'];
                $this->publicKey = $config_pay['public_key'];
                $this->privateKey = $config_pay['alipay_rsa2'];
            }
        }

        $this->signType = 'RSA2';
    }

    public function GetAppId()
    {
        return $this->appId;
    }

    public function GetPublicKey()
    {
        return $this->publicKey;
    }

    public function GetPrivateKey()
    {
        return $this->privateKey;
    }

    public function GetNotifyUrl()
    {
        if (isset($_SERVER['HTTP_X_REAL_HOST'])) {
            $host = $_SERVER['HTTP_X_REAL_HOST'];
        } else {
            $host = $_SERVER['HTTP_HOST'];
        }
        if (isset($_SERVER["PHP_SELF"])) {
            $child_path = $_SERVER["PHP_SELF"];
        } else {
            $child_path = $_SERVER["REQUEST_URI"];
        }
        $child_path_str = empty($child_path[0]) ? '/' : $child_path[0];
        \think\Log::write('gaopengc');
        \think\Log::write("http://" . $host . $child_path_str . 'admin/notify_ali.php');
        //return "http://" . $host . $child_path_str . 'admin/notify_ali.php';
        //\think\Request
        $request = Request::instance();
        $domain=$request->domain();
        return  $domain . $child_path_str . 'admin/notify_ali.php';
    }

    public function GetSignType()
    {
        return $this->signType;
    }
}